#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/nanorc.new
( cd usr/doc/nano-5.2 ; rm -rf examples )
( cd usr/doc/nano-5.2 ; ln -sf /storage/repo/x86_64/slint-14.2.1/source/nano/package-nano/usr/share/nano examples )
( cd usr/bin ; rm -rf rnano )
( cd usr/bin ; ln -sf nano rnano )
